fix pesky libgcc issue
[openwrt/svn-archive/archive.git] / openwrt / toolchain / gcc / Config.in
1 # Choose gcc version.
2 # WARNING -- 2.95 currently only builds for i386, arm, mips*, and powerpc.
3 # WARNING -- 2.95 does not currently build natively for the target.
4
5 if CONFIG_DEVEL
6 comment "Gcc Options"
7 endif
8
9
10 # the choice option below is completely ignored
11 # if CONFIG_DEVEL isn't set, so we have to set
12 # these manually ... annoying.
13 config BR2_GCC_VERSION_3_4_4
14 bool
15 default y if BR2_LINUX_2_4_BRCM
16
17 config BR2_GCC_VERSION_4_0_2
18 bool
19 default y if BR2_LINUX_2_6_ARUBA
20
21 choice
22 prompt "GCC compiler Version" if CONFIG_DEVEL
23 default BR2_GCC_VERSION_4_0_2 if BR2_LINUX_2_6_ARUBA
24 default BR2_GCC_VERSION_3_4_4 if BR2_LINUX_2_4_BRCM
25 default BR2_GCC_VERSION_3_4_6
26 help
27 Select the version of gcc you wish to use.
28
29
30 config BR2_GCC_VERSION_3_4_4
31 bool "gcc 3.4.4"
32
33 config BR2_GCC_VERSION_3_4_5
34 bool "gcc 3.4.5"
35
36 config BR2_GCC_VERSION_3_4_6
37 bool "gcc 3.4.6"
38
39 config BR2_GCC_VERSION_4_0_2
40 bool "gcc 4.0.2"
41
42 config BR2_GCC_VERSION_4_1_0
43 bool "gcc 4.1.0"
44
45 endchoice
46
47 # more nasty hacks
48 config BR2_PACKAGE_LIBGCC
49 tristate
50 default y if BR2_GCC_VERSION_4_0_2 || BR2_GCC_VERSION_4_1_0
51 default m if CONFIG_DEVEL
52 default n
53
54 config BR2_GCC_VERSION
55 string
56 default "3.4.4" if BR2_GCC_VERSION_3_4_4
57 default "3.4.5" if BR2_GCC_VERSION_3_4_5
58 default "3.4.6" if BR2_GCC_VERSION_3_4_6
59 default "4.0.2" if BR2_GCC_VERSION_4_0_2
60 default "4.1.0" if BR2_GCC_VERSION_4_1_0
61 default "3.4.6"
62
63
64 config BR2_GCC_USE_SJLJ_EXCEPTIONS
65 string
66 # default "--enable-sjlj-exceptions"
67 default ""
68 help
69 Currently the unwind stuff seems to work for staticly linked apps
70 but not dynamic. So use setjmp/longjmp exceptions by default.
71
72 config BR2_EXTRA_GCC_CONFIG_OPTIONS
73 string
74 prompt "Additional gcc options" if CONFIG_DEVEL
75 default ""
76 help
77 Any additional gcc options you may want to include....
78
79 config BR2_INSTALL_LIBSTDCPP
80 bool
81 prompt "Build/install c++ compiler and libstdc++?" if CONFIG_DEVEL
82 default y
83 help
84 Build/install c++ compiler and libstdc++?
85